﻿using System;

namespace Microsoft.Wim
{
	/// <summary>
	/// Class that contains extension methods.
	/// </summary>
	internal static class ExtensionMethods
	{
		/// <summary>
		/// Gets the FILETIME as a <see cref="DateTime"/> object.
		/// </summary>
		/// <param name="fileTime">The <see cref="System.Runtime.InteropServices.ComTypes.FILETIME"/> struct to convert.</param>
		/// <returns>A <see cref="DateTime"/> containing the converted date and time.</returns>
		internal static DateTime ToDateTime(this System.Runtime.InteropServices.ComTypes.FILETIME fileTime)
		{
			// Get the high bits and low bits as a long and covert to Utc
			//
			return DateTime.FromFileTimeUtc((long)fileTime.dwHighDateTime << 32 | (uint)fileTime.dwLowDateTime);
		}
	}
}
