﻿using DWORD = System.UInt32;

namespace Microsoft.Win32
{
	internal static partial class Kernel32
	{
		/// <summary>
		/// Another part of the data file was copied.
		/// </summary>
		internal const DWORD CALLBACK_CHUNK_FINISHED = 0x00000000;

		/// <summary>
		/// Another stream was created and is about to be copied. This is the callback reason given when the callback routine is first invoked.
		/// </summary>
		internal const DWORD CALLBACK_STREAM_SWITCH = 0x00000001;

		/// <summary>
		/// Cancel the copy operation and delete the destination file.
		/// </summary>
		internal const DWORD PROGRESS_CANCEL = 1;

		/// <summary>
		/// Continue the copy operation.
		/// </summary>
		internal const DWORD PROGRESS_CONTINUE = 0;

		/// <summary>
		/// Continue the copy operation, but stop invoking CopyProgressRoutine to report progress.
		/// </summary>
		internal const DWORD PROGRESS_QUIET = 3;

		/// <summary>
		/// Stop the copy operation. It can be restarted at a later time.
		/// </summary>
		internal const DWORD PROGRESS_STOP = 2;
	}
}